% \documentclass[
%         egregdoesnotlikesansseriftitles,
%         twocolumn=true,
%         paper=a4,
%         fontsize=10pt,
%         twoside=true,
%         DIV=calc
% ]
% {scrarticle}

\usepackage{etoolbox, ifluatex}
\usepackage{tikz}
\usetikzlibrary{calc}
\usepackage{xpatch}
\usepackage{environ}

\usepackage[no-math]{fontspec}
\usepackage{polyglossia}
\setmainlanguage[variant=british]{english}

\usepackage{import}
\usepackage{xifthen}
\usepackage{pdfpages}
\usepackage[breakable]{tcolorbox}
\usepackage{bbding}
\usepackage{stfloats}
\usepackage[font=small,labelfont=bf,justification=justified, format=plain]{caption}
\usepackage[font=small,labelfont=bf,justification=justified, format=plain]{subcaption}
\captionsetup{labelsep=period}
\usepackage{multirow, tabularx}
%\usepackage{mathtools}
%\usepackage{amssymb, amsthm, amsmath}
\usepackage{amsmath}
\usepackage{xltxtra}

% Section, subsection, etc. spacing
\setkomafont{disposition}{\mdseries\rmfamily}
\RedeclareSectionCommand[
%runin=false,
afterindent=false,
beforeskip=\baselineskip,
afterskip=.5\baselineskip]{section}
\RedeclareSectionCommand[
%runin=false,
afterindent=false,
beforeskip=.75\baselineskip,
afterskip=.5\baselineskip]{subsection}
\RedeclareSectionCommand[
%runin=false,
afterindent=false,
beforeskip=.5\baselineskip,
afterskip=.25\baselineskip]{subsubsection}
\RedeclareSectionCommand[
runin=true,
%afterindent=false,
beforeskip=.5\baselineskip,
afterskip=1em]{paragraph}
\RedeclareSectionCommand[
runin=true,
%afterindent=false,
beforeskip=.5\baselineskip,
afterskip=1em]{subparagraph}

% Fonts setup
\defaultfontfeatures[\rmfamily,\sffamily]{Ligatures=TeX}
\setmainfont{TeXGyreTermesX}[
        UprightFont = *-Regular,
        BoldFont = *-Bold,
        ItalicFont = *-Italic,
        BoldItalicFont = *-BoldItalic,
        Extension = .otf]
\setsansfont{LibertinusSans}[
        UprightFont = *-Regular,
        BoldFont = *-Bold,
        ItalicFont = *-Italic,
        Extension = .otf]
\setmonofont{inconsolata}
\usepackage[
        subscriptcorrection,
        nofontinfo,
        zswash,
        mtphrd,
        mtpfrak,
        mtpcal
]{mtpro2}

\usepackage{graphicx}
\usepackage[headsepline]{scrlayer-scrpage}
\usepackage{csquotes}
\usepackage[separate-uncertainty]{siunitx}
\usepackage[
        left=1cm,
        right=1cm,
        top=2cm,
        bottom=1cm,
        headsep=1cm
]{geometry}
\usepackage{afterpage}

\parskip=0.1in
\footskip=0.5in

% Font colour
\usepackage{xcolor}
\definecolor[named]{fontcolour}{RGB}{35,31,32}
\makeatletter
\newcommand{\globalcolor}[1]{%
        \color{#1}\global\let\default@color\current@color}
\makeatother
\AtBeginDocument{\globalcolor{fontcolour}}

% header configuration with koma-script
%\definecolor[named]{myColorMainA}{RGB}{1,0,0} % <- Change if desired
% KOMA-Script code to customize the headings
%\addtokomafont{title}{}
\addtokomafont{author}{\large}
\addtokomafont{publishers}{\normalsize}
\addtokomafont{date}{\normalsize}
\addtokomafont{section}{\centering\large\scshape}
\addtokomafont{subsection}{\centering\large\itshape}

% KOMA-Script code for header and footer font
\setkomafont{pageheadfoot}{%
        \small\rmfamily\itshape}
\setkomafont{pagefoot}{%
        \small\rmfamily\itshape}
\setkomafont{pagenumber}{%
        \normalfont\rmfamily\bfseries}

% First page style
\newpagestyle{MyTitlePageStyle}
{
          {}
          {
                  \raisebox{-0.8cm}[0pt][0pt]{%
                          \begin{tikzpicture}[overlay, xshift=0.5\textwidth]
                                  \node (logo) [inner sep=0pt] at
                                          ($(-10.5,0)+(1.8cm,0)$)
                                          {\includegraphics[height=21mm]{udea.pdf}};
                                  \draw [line width=0.4pt] ($(logo)+(0.3,-1.02)$) -- ($(10.5,-1.02)+(-1cm,0)$); % 10.5 gives you the border of the page
                                  \draw [line width=0.4pt] ($(logo)+(-0.3,-1.02)$) -- ($(-10.5,-1.02)+(1cm,0)$);
                          \end{tikzpicture}
                  }
          }
          {}
          (0pt,0pt)
  }
  {
          {}
          {}
          {}
  }
  
\clearpairofpagestyles
\automark[section]{section}
\renewcommand*{\sectionmarkformat}{}
\ohead{\headmark}
\ihead{\pagemark}

% Bibliography management
\usepackage[%
style=phys,%
biblabel=brackets,%
]{biblatex}

\DeclareFieldFormat{titlecase}{#1}
\DeclareFieldFormat[article]{title}{``#1''}
\AtBeginBibliography{\urlstyle{rm}}

% correction for large symbols with mtpro2 on LuaTeX
\ifluatex
\makeatletter
\patchcmd{\PEX@}{\dp\Pbox@>\dp\z@}{\ht\Pbox@>\dp\z@}{}{}
\patchcmd{\SQEX@}{\dp\Sbox@>\dp0}{\ht\Sbox@>\dp0}{}{}
\makeatother
\fi

% Different tilte
\makeatletter
\renewcommand*{\@maketitle}{%
        \global\@topnum=\z@
        \setparsizes{\z@}{\z@}{\z@\@plus 1fil}\par@updaterelative
        \ifx\@titlehead\@empty \else
                \begin{minipage}[t]{\textwidth}
                        \usekomafont{titlehead}{\@titlehead\par}%
                \end{minipage}\par
        \fi
        \null
        %\vskip -1em%
        \begin{center}%
                \ifx\@subject\@empty \else
                        {\usekomafont{subject}{\@subject \par}}%
                        \vskip 1em
                \fi
                {\usekomafont{title}{\Huge \@title \par}}%
                \vskip .5em
                {\ifx\@subtitle\@empty\else\usekomafont{subtitle}\@subtitle\par\fi}%
                \vskip 1em
                {%
                        \usekomafont{author}{%
                                \lineskip .5em%
                                \begin{tabular}[t]{c}
                                        \@author
                                \end{tabular}\par
                        \usekomafont{publishers}{%
                                \lineskip .5em%
                                \@publishers\par
                        }%
                }%
        }
        \end{center}%
        \par
        \deffootnote[12pt]{0pt}{0em}{%
                \makebox[9pt][l]{\thefootnotemark}%
        }
}%
\makeatother

% Environments
\definecolor{shadecolor}{gray}{0.9}
\makeatletter
\renewenvironment{abstract}[1][]{
        \maketitle
        \thispagestyle{MyTitlePageStyle}
        \par\vspace{0.5\baselineskip}\noindent
        \begin{tikzpicture}
                \node (body) [
                        text justified,
                        text width=\textwidth,
                        inner sep=0pt,
                        ] \bgroup
                        %\begin{minipage}{<some width>}
                        }{%
                        %\end{minipage}
                        \egroup;
                \draw [
                        line width=0.4pt,
                        ]
                        ($(body.south east)+(0pt,-5pt)$) -- ($(body.south west)+(0pt,-5pt)$)
                        ($(body.north east)+(0pt,10pt)$) -- ($(body.north west)+(0pt,10pt)$);
                \node [fill=white] at ($(body.north)+(0pt,10pt)$) {{\rmfamily\bfseries\scshape abstract}};
        \end{tikzpicture}
        \vspace*{20pt}
}
\makeatother

\newenvironment{partabstract}{%
        \begin{center}
                \begin{tcolorbox}[
                        coltitle=black, colframe=black, 
                        breakable, width=.95\textwidth,
                        arc is angular, colback=shadecolor,
                        arc=1mm]\begin{center}
                        \textbf{\textsc{Abstract}}
                        \end{center}}{%
                \end{tcolorbox}
        \end{center}}

\usepackage{hyperxmp}

%\date{\today}
\publishers{University of Antioquia, Faculty of Exact and Natural Sciences}

\usepackage[hypertexnames=false, hidelinks]{hyperref}

%%% Macros to redefine the style of subfigures
\newcommand{\parens}[1]{%
        (#1)}
\let\oldsubfigure\thesubfigure
\renewcommand\thesubfigure{\parens{\oldsubfigure}}
%%%

%\setlength{\parindent}{0mm}
%\setlength{\parskip}{8pt}
%\setlength{\columnsep}{10mm}
%\widowpenalties 3 10000 10000 0
%\clubpenalties 3 10000 10000 0

% \setcounter{secnumdepth}{0} % sets unnumbered sections
